## wsdd2 1.8.7+dfsg

=== Makefile ===
#
# Makefile for wsdd2 WSD/LLMNR server
#
#	Copyright (c) 2016 NETGEAR
#	Copyright (c) 2016 Hiro Sugawara
#

CFLAGS        ?= -Wall -Wextra -g -O0
LDFLAGS       ?= -g
OBJFILES      = wsdd2.o wsd.o llmnr.o
HEADERS       = wsdd.h wsd.h

PREFIX  ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR  ?= $(PREFIX)/share/man
LIBDIR  ?= $(PREFIX)/lib

all: wsdd2

nl_debug: CPPFLAGS+=-DMAIN
nl_debug: nl_debug.c; $(LINK.c) $^ $(LOADLIBES) $(LDLIBS) -o $@

wsdd2: $(OBJFILES)
$(OBJFILES): $(HEADERS) Makefile

install: wsdd2
	install -d $(DESTDIR)$(SBINDIR)
	install wsdd2 $(DESTDIR)$(SBINDIR)
	install -d $(DESTDIR)$(MANDIR)/man8
	install -m 0644 wsdd2.8 $(DESTDIR)$(MANDIR)/man8
	install -d $(DESTDIR)$(LIBDIR)/systemd/system
	install -m 0644 wsdd2.service $(DESTDIR)$(LIBDIR)/systemd/system

clean:
	rm -f wsdd2 nl_debug $(OBJFILES)

## wsdd2 1.8.6+dfsg

=== debian/changelog ===
wsdd2 (1.8.6+dfsg-3) unstable; urgency=medium

  * debian/control: add ksmbd-tools as alt to samba
    (Closes: #1005768)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 14 Feb 2022 23:26:34 +0100

wsdd2 (1.8.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 28 Oct 2021 20:54:34 +0200

wsdd2 (1.8.6+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #930339)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 23 Oct 2021 21:00:35 +0200

=== debian/control ===
Source: wsdd2
Section: net
Priority: optional
Maintainer: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/Andy2244/wsdd2
Vcs-Git: https://salsa.debian.org/debian/wsdd2.git
Vcs-Browser: https://salsa.debian.org/debian/wsdd2

Package: wsdd2
Architecture: any
Depends:
 ksmbd-tools | samba,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Web Services on Devices (WSD) daemon
 Web Services on Devices (WSD) is a Microsoft API to simplify
 programming connections to web service enabled devices, such as
 Printers, Scanners and File Shares.
 .
 This daemon advertises and responds to probe requests from Windows
 clients looking for File Shares. It also implements LLMNR Multicast
 name lookup services.

## wsdd2 1.8.7%2Bdfsg

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg" \
https://github.com/Andy2244/wsdd2/tags .*/(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))

## wsdd2 1.8.7+dfsg

=== debian/changelog ===
wsdd2 (1.8.7+dfsg-1.2mx23) mx; urgency=medium

  * Rebuild for MX-23 with sysv init script added

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 10 Dec 2023 13:01:00 -0500

wsdd2 (1.8.7+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship systemd unit under /lib/systemd/system so that it can get picked
    up by dh_installsystemd (Closes: #1034229)

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Apr 2023 15:40:11 +0000

wsdd2 (1.8.7+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.0 -> 4.6.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Jul 2022 23:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: wsdd2
 Section: net
 Priority: optional
-Maintainer: Matteo F. Vescovi <mfv@debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Andy2244/wsdd2
 Vcs-Git: https://salsa.debian.org/debian/wsdd2.git
